<template>
    <LoadingOverlay v-if="loading" />
    <form class="row g-2" @submit.prevent="onSubmit">
        <div class="offset-md-3 offset-lg-2 col-10 col-md-6 col-sm-10">
            <input
                v-model="name"
                name="name"
                type="text"
                class="form-control"
                placeholder="Enter pokemon card name"
                autocomplete="off"
                :class="{
                    'is-invalid': errors.name,
                }"
            />
            <ErrorMessage :message="errors.name" />
        </div>
        <div class="col-auto">
            <button type="submit" class="btn btn-primary mb-3">
                <em class="bi bi-search" /> Search
            </button>
        </div>
    </form>
    <ProductList v-if="productResponse" :products="productResponse.products" />
</template>

<script>
import useSearchProductForm from '../../composables/use-search-product-form';
import ProductList from '../product-list/product-list';
import {ErrorMessage, LoadingOverlay} from '@/components';
export default {
    components: {ErrorMessage, LoadingOverlay, ProductList},
    setup() {
        return {...useSearchProductForm()};
    },
};
</script>
